Package org.bukkit.event.player

# Class PlayerPickupArrowEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerPickupItemEvent
org.bukkit.event.player.PlayerPickupArrowEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerPickupArrowEvent extends PlayerPickupItemEvent
Thrown when a player picks up an arrow from the ground.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerPickupArrowEvent(@NotNull Player player, @NotNull Item item, @NotNull AbstractArrow arrow)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull AbstractArrow`
`getArrow()`
Get the arrow being picked up by the player

### Methods inherited from class org.bukkit.event.player.PlayerPickupItemEvent

`getFlyAtPlayer, getHandlerList, getHandlers, getItem, getRemaining, isCancelled, setCancelled, setFlyAtPlayer`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerPickupArrowEvent

public PlayerPickupArrowEvent(@NotNull @NotNull Player player, @NotNull @NotNull Item item, @NotNull @NotNull AbstractArrow arrow)

## Method Details

### getArrow

@NotNull public @NotNull AbstractArrow getArrow()
Get the arrow being picked up by the player

Returns:
  The arrow being picked up